> For the complete documentation index, see [llms.txt](https://docs.boldminded.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.boldminded.com/bloqs/docs/template-tags/graphql.md).

# GraphQL

Below is an example of querying Bloqs field data using GraphQL.&#x20;

```graphql
query GetBloqsEntry {
  exp_channel_entries(entry_id: "123", limit: 1) {
    data {
      entry_id
      title
      url_title

      bloqs {
        ... on Bloqs__bloqs__basic_content {
          _id
          _block_name
          _depth
          _order
          _parent_id
          heading
          content
          note
        }
        
        ... on Bloqs__bloqs__ansel_test {
          _id
          _block_name
          _depth
          ansel {
            id
            url
            thumbnail_url
            title
            width
            height
          }
        }

        ... on Bloqs__bloqs__media {
          _id
          _block_name
          _depth
        }

        ... on Bloqs__bloqs__related_content {
          _id
          _block_name
          related_entries {
            entry_id
            title
            url_title
          }
        }

        ... on Bloqs__bloqs__section {
          _id
          _block_name
          _depth
        }

        ... on Bloqs__bloqs__video {
          _id
          _block_name
          reel
        }

        ... on Bloqs__bloqs__single_relationship {
          _id
          _block_name
          related {
            entry_id
            title
          }
        }
      }
    }
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.boldminded.com/bloqs/docs/template-tags/graphql.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
